<?php

$_menu['Plugins']->addItem(__('RandomPost'),'plugin.php?p=randomPost','index.php?pf=randomPost/icon.png',
		preg_match('/plugin.php\?p=randomPost(&.*)?$/',$_SERVER['REQUEST_URI']),
		$core->auth->check('usage,contentadmin', $core->blog->id));

$core->addBehavior('initWidgets',array('randomPostBehaviors','initWidget'));

require(dirname(__FILE__).'/class.randomPost.php');

class randomPostBehaviors {
	public static function initWidget(&$w)
	{
		$w->create('randomPost',__('RandomPost'),array('tplRandomPost','randomPostWidget'));
		$w->randomPost->setting('title',__('Title:'),__('Random post'));
		$w->randomPost->setting('redirect',__('Use redirection'),1,'check');
		$w->randomPost->setting('excerpt',__('Display an excerpt from the post'),0,'check');
		$w->randomPost->setting('max_length',__('Excerpt maximum length (in characters)'),200);
		$w->randomPost->setting('homeonly',__('Home page only'),0,'check');

		// Get a list of categories in a combo box
		try {
			$rs = $GLOBALS['core']->blog->getCategories();
		} catch (Exception $e) {
			$core->error->add($e->getMessage());
		}
		$categories = array(__('All categories') => randomPost::allCatID);
		while ($rs->fetch())
		{
			$categories = array_merge($categories, array(html::escapeHTML($rs->cat_title) => $rs->cat_id));
		}
		$w->randomPost->setting('category',__('Restrict to category'),'none','combo',$categories);
	}
}
?>
