<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2006 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

require dirname(__FILE__).'/class.randomPost.php';

$core->url->register('random_post','','^random(/[0-9]+)?$',array('tplRandomPost','redirRandomPost'));
$core->tpl->addValue('RandomRedirURL',array('tplRandomPost','tplRandomRedirURL'));

$core->tpl->addBlock('RandomPost',array('tplRandomPost','tplRandomPostBlock'));
$core->tpl->addValue('RandomPostURL',array('tplRandomPost','tplRandomPostURL'));
$core->tpl->addValue('RandomPostTitle',array('tplRandomPost','tplRandomPostTitle'));
$core->tpl->addValue('RandomPostExcerpt',array('tplRandomPost','tplRandomPostExcerpt'));

class tplRandomPost {
	public static function redirRandomPost($args)
	{
		$args = trim($args, '/');
		if ($args == '') {
			$args = randomPost::allCatID;
		}
		$randomPost = new randomPost($GLOBALS['core']->blog,false,$args);

		// Get the URL of the post, and redirect to it
		http::head(302,'Found');
		header('Location: '.$randomPost->getPostURL());
		exit;
	}

	public static function tplRandomPostBlock($attr, $content)
	{
		$categoryID = isset($attr['limit_to_category_id']) ? $attr['limit_to_category_id'] : randomPost::allCatID;
		return '<?php $_ctx->randomPost = new randomPost($core->blog,true,"'.$category_id.'"); ?>'.
			$content.
			'<?php unset($_ctx->randomPost); ?>';
	}

	public static function tplRandomPostTitle($attr)
	{
		return '<?php echo context::global_filter($_ctx->randomPost->getPostTitle(),1,1,0,0,0); ?>';
	}

	public static function tplRandomPostURL($attr)
	{
		return '<?php echo $_ctx->randomPost->getPostURL(); ?>';
	}

	public static function tplRandomPostExcerpt($attr)
	{
		$max_length = isset($attr['max_length']) ? $attr['max_length'] : 200;
		return '<?php if ($_ctx->randomPost->getPost()->isExtended()) {'.
			' $excerpt = $_ctx->randomPost->getPost()->getExcerpt();'.
			' } else {'.
			' $excerpt = $_ctx->randomPost->getPost()->getContent();'.
			' }'.
			' if ('.$max_length.' > 0 && strlen($excerpt) > '.$max_length.') {'.
			' $excerpt = substr($excerpt, 0, '.$max_length.');'.
			' $excerpt = substr($excerpt, 0, strrpos($excerpt, " "))." ...";'.
			' }'.
			' echo $excerpt; ?>';
	}

	public static function tplRandomRedirURL($attr)
	{
		$categoryID = isset($attr['limit_to_category_id']) ? '/'.$attr['limit_to_category_id'] : '';
		$f = $GLOBALS['core']->tpl->getFilters($attr);
		return '<?php echo '.sprintf($f,'$core->blog->url.$core->url->getBase("")."random'.$categoryID.'"').'; ?>';
	}

	public static function randomPostWidget(&$w)
	{
		global $core;

		if ($w->homeonly && $core->url->type != 'default') {
			return;
		}

		$title = $w->title ? html::escapeHTML($w->title) : __('Random post');
		$res = '<div class="randompost">';
		if ($w->redirect) {
			$res .= '<ul><li><a href="'.$core->blog->url.$core->url->getBase('').'random';
			if ($w->category != randomPost::allCatID) {
				$res .= '/'.$w->category;
			}
			$res .= '">'.$title.'</a></li></ul>';
		} else {
			$randomPost = new randomPost($core->blog, $w->excerpt, $w->category);
			$res .= '<h2>'.$title.'</h2>' .
				'<p class="randomPostTitle">';
			$res .= '<a href="'.$randomPost->getPostURL().'">'.
				html::escapeHTML($randomPost->getPostTitle()).'</a>';
			$res .= '</p>';
			if ($w->excerpt) {
				if ($randomPost->getPost()->isExtended()) {
					$excerpt = $randomPost->getPost()->getExcerpt();
				} else {
					$excerpt = $randomPost->getPost()->getContent();
				}
				if ($w->max_length > 0 && strlen($excerpt) > $w->max_length) {
					$excerpt = substr($excerpt, 0, $w->max_length);
					$excerpt = substr($excerpt, 0, strrpos($excerpt, ' ')).' ...';
				}
				$res .= '<p>'.$excerpt.'</p>';
			}
		}
		$res .= '</div>';

		return $res;
	}
}
?>
